diff -Nru dist-3.5-36.0001/mcon/U/sig_name.U dist-3.5-236/mcon/U/sig_name.U
--- dist-3.5-36.0001/mcon/U/sig_name.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/sig_name.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: sig_name.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
@@ -37,22 +37,22 @@
 ?S:.
 ?S:sig_name_init:
 ?S:	This variable holds the signal names, enclosed in double quotes and
-?S:	separated by commas, suitable for use in the SIG_NAME definition 
-?S:	below.  A "ZERO" is prepended to the list, and the list is 
+?S:	separated by commas, suitable for use in the SIG_NAME definition
+?S:	below.  A "ZERO" is prepended to the list, and the list is
 ?S:	terminated with a plain 0.  The leading SIG in signal names
 ?S:	is removed. See sig_num.
 ?S:.
 ?S:sig_num:
 ?S:	This variable holds the signal numbers, space separated. A ZERO is
-?S:	prepended to the list (corresponding to the fake SIGZERO), and 
-?S:	the list is terminated with a 0.  Those numbers correspond to 
+?S:	prepended to the list (corresponding to the fake SIGZERO), and
+?S:	the list is terminated with a 0.  Those numbers correspond to
 ?S:	the value of the signal listed in the same place within the
 ?S:	sig_name list.
 ?S:.
 ?S:sig_num_init:
 ?S:	This variable holds the signal numbers, enclosed in double quotes and
-?S:	separated by commas, suitable for use in the SIG_NUM definition 
-?S:	below.  A "ZERO" is prepended to the list, and the list is 
+?S:	separated by commas, suitable for use in the SIG_NUM definition
+?S:	below.  A "ZERO" is prepended to the list, and the list is
 ?S:	terminated with a plain 0.
 ?S:.
 ?S:sig_count (sig_name.U):
@@ -84,10 +84,10 @@
 ?C:	The signals in the list are separated with commas, and the indices
 ?C:	within that list and the SIG_NAME list match, so it's easy to compute
 ?C:	the signal name from a number or vice versa at the price of a small
-?C:	dynamic linear lookup. 
+?C:	dynamic linear lookup.
 ?C:	Duplicates are allowed, but are moved to the end of the list.
 ?C:	The signal number corresponding to sig_name[i] is sig_number[i].
-?C:	if (i < NSIG) then sig_number[i] == i.  
+?C:	if (i < NSIG) then sig_number[i] == i.
 ?C:	The last element is 0, corresponding to the 0 at the end of
 ?C:	the sig_name list.
 ?C:.
diff -Nru dist-3.5-36.0001/mcon/U/sitearch.U dist-3.5-236/mcon/U/sitearch.U
--- dist-3.5-36.0001/mcon/U/sitearch.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/sitearch.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,8 +1,8 @@
-?RCS: $Id: sitearch.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1996, Andy Dougherty
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/sitelib.U dist-3.5-236/mcon/U/sitelib.U
--- dist-3.5-36.0001/mcon/U/sitelib.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/sitelib.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,14 +1,14 @@
-?RCS: $Id: sitelib.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1996, Andy Dougherty
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
 ?RCS: that same Artistic License; a copy of which may be found at the root
 ?RCS: of the source tree for dist 4.0.
-?RCS: 
+?RCS:
 ?RCS: $Log: sitelib.U,v $
 ?RCS: Revision 3.0.1.1  1997/02/28  16:21:35  ram
 ?RCS: patch61: created
diff -Nru dist-3.5-36.0001/mcon/U/sizetype.U dist-3.5-236/mcon/U/sizetype.U
--- dist-3.5-36.0001/mcon/U/sizetype.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/sizetype.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: sizetype.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
@@ -17,8 +17,8 @@
 ?MAKE:sizetype: Myread Typedef
 ?MAKE:	-pick add $@ %<
 ?S:sizetype:
-?S:	This variable defines sizetype to be something like size_t, 
-?S:	unsigned long, or whatever type is used to declare length 
+?S:	This variable defines sizetype to be something like size_t,
+?S:	unsigned long, or whatever type is used to declare length
 ?S:	parameters for string functions.
 ?S:.
 ?C:Size_t:
diff -Nru dist-3.5-36.0001/mcon/U/sockopt.U dist-3.5-236/mcon/U/sockopt.U
--- dist-3.5-36.0001/mcon/U/sockopt.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/sockopt.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: sockopt.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/so.U dist-3.5-236/mcon/U/so.U
--- dist-3.5-36.0001/mcon/U/so.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/so.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: so.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/spitshell.U dist-3.5-236/mcon/U/spitshell.U
--- dist-3.5-36.0001/mcon/U/spitshell.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/spitshell.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: spitshell.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/src.U dist-3.5-236/mcon/U/src.U
--- dist-3.5-36.0001/mcon/U/src.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/src.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,8 +1,8 @@
-?RCS: $Id: src.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1996, Cygnus Support
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
@@ -32,10 +32,14 @@
 : Find the path to the source tree
 case "$src" in
 '') case "$0" in
-    */*)
-		src=`echo $0 | sed -e 's%/[^/][^/]*$%%'`
-		;;
-    *)	src='.';;
+    */*) src=`echo $0 | sed -e 's%/[^/][^/]*$%%'`
+         case "$src" in
+	 /*)	;;
+	 .)	;;
+         *)	src=`cd ../$src && pwd` ;;
+	 esac
+         ;;
+    *)   src='.';;
     esac;;
 esac
 case "$src" in
diff -Nru dist-3.5-36.0001/mcon/U/ssizetype.U dist-3.5-236/mcon/U/ssizetype.U
--- dist-3.5-36.0001/mcon/U/ssizetype.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/ssizetype.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: ssizetype.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
@@ -25,8 +25,8 @@
 	+cc +optimize +ccflags +ldflags +libs _o
 ?MAKE:	-pick add $@ %<
 ?S:ssizetype:
-?S:	This variable defines ssizetype to be something like ssize_t, 
-?S:	long or int.  It is used by functions that return a count 
+?S:	This variable defines ssizetype to be something like ssize_t,
+?S:	long or int.  It is used by functions that return a count
 ?S:	of bytes or an error condition.  It must be a signed type.
 ?S:	We will pick a type such that sizeof(SSize_t) == sizeof(Size_t).
 ?S:.
diff -Nru dist-3.5-36.0001/mcon/U/startperl.U dist-3.5-236/mcon/U/startperl.U
--- dist-3.5-36.0001/mcon/U/startperl.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/startperl.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: startperl.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/startsh.U dist-3.5-236/mcon/U/startsh.U
--- dist-3.5-36.0001/mcon/U/startsh.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/startsh.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: startsh.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/stdchar.U dist-3.5-236/mcon/U/stdchar.U
--- dist-3.5-36.0001/mcon/U/stdchar.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/stdchar.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: stdchar.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/sunscanf.U dist-3.5-236/mcon/U/sunscanf.U
--- dist-3.5-36.0001/mcon/U/sunscanf.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/sunscanf.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: sunscanf.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/sysman.U dist-3.5-236/mcon/U/sysman.U
--- dist-3.5-36.0001/mcon/U/sysman.U	2018-05-20 22:49:04.000000000 +0200
+++ dist-3.5-236/mcon/U/sysman.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: sysman.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/trnl.U dist-3.5-236/mcon/U/trnl.U
--- dist-3.5-36.0001/mcon/U/trnl.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/trnl.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,13 +1,13 @@
-?RCS: $Id: trnl.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
 ?RCS: that same Artistic License; a copy of which may be found at the root
 ?RCS: of the source tree for dist 4.0.
-?RCS: 
+?RCS:
 ?RCS: Copyright (c) 1998 Andy Dougherty
 ?RCS:
 ?RCS:	Original author Jarkko Hietaniemi <jhi@iki.fi>
diff -Nru dist-3.5-36.0001/mcon/U/Tr.U dist-3.5-236/mcon/U/Tr.U
--- dist-3.5-36.0001/mcon/U/Tr.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/Tr.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: Tr.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
@@ -15,7 +15,7 @@
 ?RCS: Revision 3.0.1.1  1994/10/29  15:58:35  ram
 ?RCS: patch36: created
 ?RCS:
-?X: 
+?X:
 ?X: This unit produces a bit of shell code that must be dotted in in order
 ?X: to do a character translation. It catches translations to uppercase or
 ?X: to lowercase, and then invokes the real tr to perform the job.
diff -Nru dist-3.5-36.0001/mcon/U/Trylink.U dist-3.5-236/mcon/U/Trylink.U
--- dist-3.5-36.0001/mcon/U/Trylink.U	2018-05-20 22:49:04.000000000 +0200
+++ dist-3.5-236/mcon/U/Trylink.U	2018-05-20 22:49:04.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: Trylink.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/Typedef.U dist-3.5-236/mcon/U/Typedef.U
--- dist-3.5-36.0001/mcon/U/Typedef.U	2018-05-20 22:49:04.000000000 +0200
+++ dist-3.5-236/mcon/U/Typedef.U	2018-05-20 22:49:04.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: Typedef.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/uidtype.U dist-3.5-236/mcon/U/uidtype.U
--- dist-3.5-36.0001/mcon/U/uidtype.U	2018-05-20 22:49:04.000000000 +0200
+++ dist-3.5-236/mcon/U/uidtype.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: uidtype.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
@@ -25,7 +25,7 @@
 ?MAKE:uidtype: Myread Typedef Findhdr
 ?MAKE:	-pick add $@ %<
 ?S:uidtype:
-?S:	This variable defines Uid_t to be something like uid_t, int, 
+?S:	This variable defines Uid_t to be something like uid_t, int,
 ?S:	ushort, or whatever type is used to declare user ids in the kernel.
 ?S:.
 ?C:Uid_t (UIDTYPE):
diff -Nru dist-3.5-36.0001/mcon/U/Unix.U dist-3.5-236/mcon/U/Unix.U
--- dist-3.5-36.0001/mcon/U/Unix.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/Unix.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,8 +1,8 @@
-?RCS: $Id: Unix.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1996, Andy Dougherty
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
@@ -19,7 +19,7 @@
 ?X: environment, then some of the following variables can be redefined in hint
 ?X: files.
 ?X:
-?MAKE:Unix _a _o firstmakefile archobjs: Oldconfig
+?MAKE:Unix _a _o firstmakefile archobjs rm_try: Oldconfig rm
 ?MAKE:	-pick add $@ %<
 ?S:_a (lib_ext):
 ?S:	This variable defines the extension used for ordinary libraries.
@@ -44,6 +44,10 @@
 ?S:	or other facilities.  For perl on OS/2, for example, this would
 ?S:	include os2/os2.obj.
 ?S:.
+?S:rm_try:
+?S:	This is a cleanup variable for try test programs.
+?S:	Internal Configure use only.
+?S:.
 ?INIT:: Extra object files, if any, needed on this platform.
 ?INIT:archobjs=''
 : Define several unixisms.
@@ -55,6 +59,8 @@
 '') _o='.o';;
 esac
 
+rm_try="$rm -f try try$_exe a.out .out try.[cho] try.$_o core core.try* try.core*"
+
 @if firstmakefile
 : Which makefile gets called first.  This is used by make depend.
 case "$firstmakefile" in
diff -Nru dist-3.5-36.0001/mcon/U/usenm.U dist-3.5-236/mcon/U/usenm.U
--- dist-3.5-36.0001/mcon/U/usenm.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/usenm.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: usenm.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/usesocks.U dist-3.5-236/mcon/U/usesocks.U
--- dist-3.5-36.0001/mcon/U/usesocks.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/usesocks.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,13 +1,13 @@
-?RCS: $Id: usesocks.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
 ?RCS: that same Artistic License; a copy of which may be found at the root
 ?RCS: of the source tree for dist 4.0.
-?RCS: 
+?RCS:
 ?RCS: Copyright (c) 1999 Jarkko Hietaniemi
 ?RCS:
 ?MAKE:usesocks: Myread Oldconfig Setvar spackage package
diff -Nru dist-3.5-36.0001/mcon/U/usrinc.U dist-3.5-236/mcon/U/usrinc.U
--- dist-3.5-36.0001/mcon/U/usrinc.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/usrinc.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: usrinc.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/vaproto.U dist-3.5-236/mcon/U/vaproto.U
--- dist-3.5-36.0001/mcon/U/vaproto.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/vaproto.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: vaproto.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/voidflags.U dist-3.5-236/mcon/U/voidflags.U
--- dist-3.5-36.0001/mcon/U/voidflags.U	2018-05-20 22:49:04.000000000 +0200
+++ dist-3.5-236/mcon/U/voidflags.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: voidflags.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
@@ -18,7 +18,7 @@
 ?RCS: Revision 3.0  1993/08/18  12:10:01  ram
 ?RCS: Baseline for dist 3.0 netwide release.
 ?RCS:
-?MAKE:voidflags defvoidused: cat sed rm contains +cc +ccflags package \
+?MAKE:voidflags defvoidused: cat sed rm rm_try contains +cc +ccflags package \
 	Oldconfig Myread
 ?MAKE:	-pick add $@ %<
 ?S:voidflags:
@@ -176,5 +176,5 @@
 	voidflags="$ans"
 	;;
 esac
-$rm -f try.* .out flags
+$rm_try flags
 
diff -Nru dist-3.5-36.0001/mcon/U/warnflags.U dist-3.5-236/mcon/U/warnflags.U
--- dist-3.5-36.0001/mcon/U/warnflags.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/warnflags.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: warnflags.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/Warn.U dist-3.5-236/mcon/U/Warn.U
--- dist-3.5-36.0001/mcon/U/Warn.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/Warn.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: Warn.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
@@ -9,7 +9,7 @@
 ?RCS: of the source tree for dist 4.0.
 ?RCS:
 ?RCS: $Log: Extract.U,v $
-?X: 
+?X:
 ?X: This unit produces a shell script which can be run in order to emit
 ?X: an important warning to the user, which will be remembered and shown
 ?X: at the end of the Configure run as well.
diff -Nru dist-3.5-36.0001/mcon/U/Warn_v7EXT.U dist-3.5-236/mcon/U/Warn_v7EXT.U
--- dist-3.5-36.0001/mcon/U/Warn_v7EXT.U	2018-05-20 22:49:04.000000000 +0200
+++ dist-3.5-236/mcon/U/Warn_v7EXT.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: Warn_v7EXT.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
@@ -15,11 +15,11 @@
 ?RCS: Revision 3.0  1993/08/18  12:05:17  ram
 ?RCS: Baseline for dist 3.0 netwide release.
 ?RCS:
-?X: 
+?X:
 ?X: This unit issues warnings to V7 sites that they are living dangerously.
 ?X: This unit needs to get mentioned in End.U to get included.
-?X: 
-?MAKE:Warn_v7EXT: package Guess 
+?X:
+?MAKE:Warn_v7EXT: package Guess
 ?MAKE:	-pick add $@ %<
 : Warnings
 if ./v7; then
diff -Nru dist-3.5-36.0001/mcon/U/Warn_v7ND.U dist-3.5-236/mcon/U/Warn_v7ND.U
--- dist-3.5-36.0001/mcon/U/Warn_v7ND.U	2018-05-20 22:49:04.000000000 +0200
+++ dist-3.5-236/mcon/U/Warn_v7ND.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: Warn_v7ND.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
@@ -15,11 +15,11 @@
 ?RCS: Revision 3.0  1993/08/18  12:05:18  ram
 ?RCS: Baseline for dist 3.0 netwide release.
 ?RCS:
-?X: 
+?X:
 ?X: This unit warns V7 sites that they may not have a non-blocking read.
 ?X: This unit needs to be mentioned in End.U to get included.
-?X: 
-?MAKE:Warn_v7ND: package Guess 
+?X:
+?MAKE:Warn_v7ND: package Guess
 ?MAKE:	-pick add $@ %<
 : Warnings
 if ./v7; then
diff -Nru dist-3.5-36.0001/mcon/U/Whoa.U dist-3.5-236/mcon/U/Whoa.U
--- dist-3.5-36.0001/mcon/U/Whoa.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/Whoa.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: Whoa.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
@@ -18,16 +18,16 @@
 ?RCS: Revision 3.0  1993/08/18  12:05:19  ram
 ?RCS: Baseline for dist 3.0 netwide release.
 ?RCS:
-?X: 
+?X:
 ?X: This unit produces a bit of shell code that must be dotted in in order
 ?X: to warn the user in case a change into a variable is noticed.
-?X:	
+?X:
 ?X: To use this unit, $was must hold the old value that has changed. Upon
 ?X: exit, the two variables $td and $tu are set to the correct value for
 ?X: respectively defining or undefining a variable. For instance, if $vas was
 ?X: $undef, but now $var is $define, after calling . whoa, you should use
 ?X: eval "$var=\$tu" to finally set $var to the correct value. See unit Inlibc.
-?X: 
+?X:
 ?MAKE:Whoa: Myread startsh hint
 ?MAKE:	-pick add $@ %<
 ?F:./whoa
diff -Nru dist-3.5-36.0001/mcon/U/yacc.U dist-3.5-236/mcon/U/yacc.U
--- dist-3.5-36.0001/mcon/U/yacc.U	2018-05-20 22:49:04.000000000 +0200
+++ dist-3.5-236/mcon/U/yacc.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: yacc.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/pat/Jmakefile dist-3.5-236/pat/Jmakefile
--- dist-3.5-36.0001/pat/Jmakefile	2010-11-29 00:05:09.000000000 +0100
+++ dist-3.5-236/pat/Jmakefile	2017-10-24 22:43:40.000000000 +0200
@@ -2,7 +2,7 @@
  * Jmakefile for patching tools.
  */
 
-;# $Id: Jmakefile 48 2010-11-28 23:05:09Z rmanfredi $
+;# $Id$
 ;#
 ;#  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
 ;#  
diff -Nru dist-3.5-36.0001/pat/patbase.SH dist-3.5-236/pat/patbase.SH
--- dist-3.5-36.0001/pat/patbase.SH	2010-03-06 21:15:24.000000000 +0100
+++ dist-3.5-236/pat/patbase.SH	2017-10-24 22:43:40.000000000 +0200
@@ -20,7 +20,7 @@
 	eval 'exec perl -S \$0 \${1+"\$@"}'
 		if \$running_under_some_shell;
 
-# $Id: patbase.SH 31 2010-03-06 20:15:24Z rmanfredi $
+# $Id$
 #
 #  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
 #  
diff -Nru dist-3.5-36.0001/pat/patchlevel.h dist-3.5-236/pat/patchlevel.h
--- dist-3.5-36.0001/pat/patchlevel.h	2006-08-24 14:32:52.000000000 +0200
+++ dist-3.5-236/pat/patchlevel.h	2017-10-24 22:43:40.000000000 +0200
@@ -14,7 +14,7 @@
  */
 
 /*
- * $Id: patchlevel.h 1 2006-08-24 12:32:52Z rmanfredi $
+ * $Id$
  *
  *  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
  *  
diff -Nru dist-3.5-36.0001/pat/patcil.SH dist-3.5-236/pat/patcil.SH
--- dist-3.5-36.0001/pat/patcil.SH	2018-05-20 22:49:04.000000000 +0200
+++ dist-3.5-236/pat/patcil.SH	2018-05-20 22:49:04.000000000 +0200
@@ -20,7 +20,7 @@
 	eval 'exec perl -S \$0 \${1+"\$@"}'
 		if \$running_under_some_shell;
 
-# $Id: patcil.SH 31 2010-03-06 20:15:24Z rmanfredi $
+# $Id$
 #
 #  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
 #  
diff -Nru dist-3.5-36.0001/pat/patclean.SH dist-3.5-236/pat/patclean.SH
--- dist-3.5-36.0001/pat/patclean.SH	2010-03-06 21:15:24.000000000 +0100
+++ dist-3.5-236/pat/patclean.SH	2017-10-24 22:43:40.000000000 +0200
@@ -20,7 +20,7 @@
 	eval 'exec perl -S \$0 \${1+"\$@"}'
 		if \$running_under_some_shell;
 
-# $Id: patclean.SH 31 2010-03-06 20:15:24Z rmanfredi $
+# $Id$
 #
 #  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
 #  
diff -Nru dist-3.5-36.0001/pat/patcol.SH dist-3.5-236/pat/patcol.SH
--- dist-3.5-36.0001/pat/patcol.SH	2010-03-06 21:15:24.000000000 +0100
+++ dist-3.5-236/pat/patcol.SH	2017-10-24 22:43:40.000000000 +0200
@@ -20,7 +20,7 @@
 	eval 'exec perl -S \$0 \${1+"\$@"}'
 		if \$running_under_some_shell;
 
-# $Id: patcol.SH 31 2010-03-06 20:15:24Z rmanfredi $
+# $Id$
 #
 #  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
 #  
diff -Nru dist-3.5-36.0001/pat/patdiff.SH dist-3.5-236/pat/patdiff.SH
--- dist-3.5-36.0001/pat/patdiff.SH	2018-05-20 22:49:04.000000000 +0200
+++ dist-3.5-236/pat/patdiff.SH	2018-05-20 22:49:04.000000000 +0200
@@ -20,7 +20,7 @@
 	eval 'exec perl -S \$0 \${1+"\$@"}'
 		if \$running_under_some_shell;
 
-# $Id: patdiff.SH 31 2010-03-06 20:15:24Z rmanfredi $
+# $Id$
 #
 #  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
 #  
diff -Nru dist-3.5-36.0001/pat/patftp.SH dist-3.5-236/pat/patftp.SH
--- dist-3.5-36.0001/pat/patftp.SH	2010-03-06 21:15:24.000000000 +0100
+++ dist-3.5-236/pat/patftp.SH	2017-10-24 22:43:40.000000000 +0200
@@ -20,7 +20,7 @@
 	eval 'exec perl -S \$0 \${1+"\$@"}'
 		if \$running_under_some_shell;
 
-# $Id: patftp.SH 31 2010-03-06 20:15:24Z rmanfredi $
+# $Id$
 #
 #  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
 #  
diff -Nru dist-3.5-36.0001/pat/patindex.SH dist-3.5-236/pat/patindex.SH
--- dist-3.5-36.0001/pat/patindex.SH	2006-08-24 14:32:52.000000000 +0200
+++ dist-3.5-236/pat/patindex.SH	2017-10-24 22:43:40.000000000 +0200
@@ -18,7 +18,7 @@
 $spitshell >patindex <<!GROK!THIS!
 $startsh
 
-# $Id: patindex.SH 1 2006-08-24 12:32:52Z rmanfredi $
+# $Id$
 #
 #  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
 #  
diff -Nru dist-3.5-36.0001/pat/patlog.SH dist-3.5-236/pat/patlog.SH
--- dist-3.5-36.0001/pat/patlog.SH	2010-03-06 21:15:24.000000000 +0100
+++ dist-3.5-236/pat/patlog.SH	2017-10-24 22:43:40.000000000 +0200
@@ -20,7 +20,7 @@
 	eval 'exec perl -S \$0 \${1+"\$@"}'
 		if \$running_under_some_shell;
 
-# $Id: patlog.SH 31 2010-03-06 20:15:24Z rmanfredi $
+# $Id$
 #
 #  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
 #  
diff -Nru dist-3.5-36.0001/pat/patmake.SH dist-3.5-236/pat/patmake.SH
--- dist-3.5-36.0001/pat/patmake.SH	2010-03-06 21:15:24.000000000 +0100
+++ dist-3.5-236/pat/patmake.SH	2017-10-24 22:43:40.000000000 +0200
@@ -20,7 +20,7 @@
 	eval 'exec perl -S \$0 \${1+"\$@"}'
 		if \$running_under_some_shell;
 
-# $Id: patmake.SH 31 2010-03-06 20:15:24Z rmanfredi $
+# $Id$
 #
 #  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
 #  
